# StandardTraits.h File Reference

Go to the source code of this file.

## Classes
struct | TCLAP::ArgTraits< long >
| longs have value-like semantics. More...
struct | TCLAP::ArgTraits< int >
| ints have value-like semantics. More...
struct | TCLAP::ArgTraits< short >
| shorts have value-like semantics. More...
struct | TCLAP::ArgTraits< char >
| chars have value-like semantics. More...
struct | TCLAP::ArgTraits< unsigned long >
| unsigned longs have value-like semantics. More...
struct | TCLAP::ArgTraits< unsigned int >
| unsigned ints have value-like semantics. More...
struct | TCLAP::ArgTraits< unsigned short >
| unsigned shorts have value-like semantics. More...
struct | TCLAP::ArgTraits< unsigned char >
| unsigned chars have value-like semantics. More...
struct | TCLAP::ArgTraits< float >
| floats have value-like semantics. More...
struct | TCLAP::ArgTraits< double >
| doubles have value-like semantics. More...
struct | TCLAP::ArgTraits< bool >
| bools have value-like semantics. More...
struct | TCLAP::ArgTraits< wchar_t >
| wchar_ts have value-like semantics. More...
struct | TCLAP::ArgTraits< std::string >
| Strings have string like argument traits. More...
## Namespaces
namespace | TCLAP
## Functions
template<typename T >
void | TCLAP::SetString (T &dst, const std::string &src)